Page MenuHomePhabricator

tests/gesture: beef up gesture flick/momentum tests significantly
ClosedPublic

Authored by zmike on Jan 8 2020, 11:44 AM.

Details

Summary

this adds test cases for flicks in different directions, flicks which
leave the canvas, and gestures which are momentums but not flicks

Depends on D11054

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 8 2020, 11:44 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Jan 8 2020, 11:44 AM
zmike updated this revision to Diff 28133.Jan 13 2020, 12:12 PM
zmike edited the summary of this revision. (Show Details)

rebase

zmike updated this revision to Diff 28259.Jan 17 2020, 7:42 AM
zmike added a reviewer: CHAN.

update

zmike updated this revision to Diff 28336.Jan 21 2020, 11:56 AM
zmike added a reviewer: bu5hm4n.

rebase/update

zmike updated this revision to Diff 28381.Jan 22 2020, 6:35 AM

remove off-canvas blocking

zmike updated this revision to Diff 28432.Jan 23 2020, 12:23 PM

rework/rebase

zmike updated this revision to Diff 28653.Jan 29 2020, 11:19 AM

rebase/rework

bu5hm4n accepted this revision.Jan 30 2020, 7:21 AM
This revision is now accepted and ready to land.Jan 30 2020, 7:21 AM
Closed by commit rEFL60b34bc61c94: tests/gesture: beef up gesture flick/momentum tests significantly (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 30 2020, 8:12 AM
This revision was automatically updated to reflect the committed changes.